using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsMonitoringPointHistory15minRawData {
        //15분 단위 관제점 적산값
        [Display(Name = "현장 고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "대상 설비의 타입 ID"), Key]
        public int FacilityTypeId { get; set; }
        [Display(Name = "대상 설비의 Code"), Key]
        public int FacilityCode { get; set; }
        [Display(Name = "대상 설비의 PropertyId"), Key]
        public int PropertyId { get; set; }
        [Display(Name = "DB 등록 시간"), Key]
        public DateTime CreatedDateTime { get; set; }
        [Display(Name = "적산값"), Required]
        public double CurrentValue { get; set; }

        [ForeignKey("SiteId,FacilityCode,PropertyId")]
        public virtual BemsMonitoringPoint BemsMonitoringPoint { get; set; }
        [ForeignKey("FacilityTypeId")]
        public virtual BemsFacilityType FacilityType { get; set; }
    }
}
